%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name Net_DNS

Name:           php-pear-Net-DNS
Version:        1.0.0
Release:        2%{?dist}
Summary:        Resolver library used to communicate with a DNS server

Group:          Development/Libraries
License:        PHP
URL:            http://pear.php.net/package/Net_DNS
Source:         http://pear.php.net/get/%{pear_name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  php-pear >= 1:1.4.9-1.2
BuildArch:      noarch
Requires:       php-pear(PEAR)
Requires:       php-mhash
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}

%description
A resolver library used to communicate with a name server to perform DNS 
queries, zone transfers, dynamic DNS updates, etc. Creates an object 
hierarchy from a DNS server response, which allows you to view all of 
the information given by the DNS server. It bypasses the system 
resolver library and communicates directly with the server.


%prep
%setup -qc
%{__pear} convert package.xml package2.xml
mv package2.xml %{pear_name}-%{version}/%{pear_name}.xml
cd %{pear_name}-%{version}


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{pear_name}.xml

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
install -d $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{pear_name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%{pear_xmldir}/%{pear_name}.xml
%dir %{pear_phpdir}/Net
%dir %{pear_phpdir}/Net/DNS
%{pear_phpdir}/Net/DNS
%{pear_phpdir}/Net/DNS.php


%changelog
* Thu Jul 3 2008 Steven Moix <steven.moix@axianet.ch> 1.0.0-2
- Corrected the spec file thanks to Remi Collet

* Sat May 24 2008 Steven Moix <steven.moix@axianet.ch> 1.0.0-1
- Initial Release
